# ReportPattern

此实例为报表自定义控件实例，模仿CAD中花型的设计。  
变量规则为：左边花|布身|余花|右边花|循环数。  
48A|48A14B24A4C70A|48A14B24A4C54A|48A|61

## 报表自定义控件

在DEV报表提供的控件不能够满足需求的情况下可以自定义所需要的控件。

### 结构

- PatternDemo--实例
- CustomControls--自定义控件
- CustomControls.Design--自定义控件设计器

### 图例

- CAD设计图  
![CAD](./Image/CAD.png)

- 报表设计图  
![Designer](./Image/Design.png)

- 报表预览图  
![Preview](./Image/Preview.png)

- 动态设计图
![Pattern](./Image/pattern.gif)
