﻿using System.ComponentModel.Design;
using System.Windows.Forms.Design;

using DevExpress.XtraReports.Design;

namespace CustomControls.Design
{
    /// <summary>
    /// 报表设计
    /// </summary>
    public class XRPatternDesigner : XRControlDesigner
    {
        /// <summary>
        /// 控件选中规则
        /// </summary>
        protected override SelectionRules GetSelectionRulesCore()
        {
            return SelectionRules.Moveable;
        }

        /// <summary>
        /// 注册设计清单
        /// </summary>
        protected override void RegisterActionLists(DesignerActionListCollection list)
        {
            list.Add(new XRPatternDesignerActionList(this));
        }
    }

    /// <summary>
    /// VS设计
    /// </summary>
    public class _XRPatternDesigner : XRPatternDesigner
    {

    }
}
