﻿namespace CustomControls.Pattern.DataModels
{
    /// <summary>
    /// 数据项
    /// </summary>
    public class PatternDataItem
    {
        /// <summary>
        /// 实例数据
        /// </summary>
        public string PatternData { get; set; } = "48A|48A14B24A4C70A|48A14B24A4C54A|48A|61";

        /// <summary>
        /// 行间距
        /// </summary>
        public int RowSpace { get; set; } = 100;

        /// <summary>
        /// 列间距
        /// </summary>
        public int ColumnSpace { get; set; } = 100;

        /// <summary>
        /// 是否绘制横线
        /// </summary>
        public bool IsDrawHorizontalLine { get; set; } = true;
    }
}
