﻿using System.ComponentModel;

using DevExpress.Utils.Serializing;
using DevExpress.XtraReports.UI;

namespace CustomControls.Pattern
{
    [Description("Pattern Scripts Description"), DisplayName("Pattern Scripts"), TypeConverter(typeof(PatternScriptsTypeConverter))]
    public class XRPatternScripts : TruncatedControlScripts
    {
        [Browsable(false),
            EditorBrowsable(EditorBrowsableState.Never),
            DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden),
            XtraSerializableProperty(XtraSerializationVisibility.Hidden)]
        public override string OnSizeChanged
        {
            get => sizeChanged;
            set { }
        }

        public XRPatternScripts(XRControl control) : base(control)
        {

        }
    }
}
